CREATE FUNCTION [dbo].[DATETOCHAR8] (@DT DATETIME)  
RETURNS CHAR(8) AS  
BEGIN 
	DECLARE @DT_TMP VARCHAR(8)
	IF @DT IS NOT NULL
	BEGIN
		SET @DT_TMP = CAST(DATEPART(year,@DT) AS CHAR(4))
		IF DATEPART(month,@DT) < 10
			SET @DT_TMP = @DT_TMP + '0' + CAST(DATEPART(month,@DT) AS VARCHAR(2))
		ELSE
			SET @DT_TMP = @DT_TMP + CAST(DATEPART(month,@DT) AS VARCHAR(2))
		IF DATEPART(day,@DT) < 10
			SET @DT_TMP = @DT_TMP + '0' + CAST(DATEPART(day,@DT) AS VARCHAR(2))
		ELSE
			SET @DT_TMP = @DT_TMP + CAST(DATEPART(day,@DT) AS VARCHAR(2))
	END
	ELSE
		SET @DT_TMP = NULL
	RETURN(@DT_TMP)
END

